local fsm = require "app/bf/state_machine/state_machine"
local characterFSM = class("characterFSM", fsm)

function characterFSM:setCharacterObj(characterObj)
    for _, state in pairs(self.stateMap) do
        state:setCharacterObj(characterObj)
    end
end

return characterFSM